Bug 128514 - policycoreutils fixfiles -F option broken
policycoreutils fixfiles -F option broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-23 18:09 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 19:14:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-07-23 18:09:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
'fixfile -F relabel' is broken. It says it cannot find relabelLabels
command.

I think this fixes it:

diff -ur policycoreutils-1.15.2.orig/scripts/fixfiles
policycoreutils-1.15.2/scripts/fixfiles
--- policycoreutils-1.15.2.orig/scripts/fixfiles        2004-07-23
18:06:25.000000000 -0400
+++ policycoreutils-1.15.2/scripts/fixfiles     2004-07-23
18:10:06.000000000 -0400
@@ -169,7 +169,7 @@
 fi
 if [ $relabelFlag = 1 ]; then
     if [ $fullFlag = 1 ]; then
-       relabelLabels $rpmFiles
+       relabel $rpmFiles
     else
        relabelCheck $rpmFiles
     fi


Version-Release number of selected component (if applicable):
policycoreutils-1.15.2

How reproducible:
Always

Steps to Reproduce:
1. fixfile -F relabel

Actual Results:  can't find relabelLabels

Expected Results:  Filesystem to be relabeled.

Additional info:
Comment 1 Daniel Walsh 2004-07-28 11:02:37 EDT
Fixed in policycoreutils-1.15.2-4
Comment 2 Steve Grubb 2004-07-28 19:14:34 EDT
Thanks

Note You need to log in before you can comment on or make changes to this bug.